:: History Tease

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
You stretch languidly, lifting your $worn.upper.name and exposing your midriff. It's a bit much for the <<person>> and they look away, blushing.
<<exhibitionism1>>
<<if $robinhistory is "seat">>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 30>>
		Robin tugs down your $worn.upper.name. "Someone's gonna see you!" <<nnpc_he Robin>> says as <<nnpc_he Robin>> covers your midriff.
	<<else>>
		Robin blushes as well, though <<nnpc_he Robin>> tries <<nnpc_his Robin>> best to ignore you.
	<</if>>
	<br><br>
<</if>>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Flash

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>

You shift in your seat and lift up your skirt, revealing your <<undies>>.
<<if !$worn.under_lower.type.includes("naked")>>
	<<exhibitionism2>>
<<else>>
	<<exhibitionism4>>
<</if>>
<<if $robinhistory is "seat" and $NPCName[$NPCNameList.indexOf("Robin")].dom gte 30>>
	Robin interrupts, and pulls your skirt back down. "Someone will see!" <<nnpc_he Robin>> says. The <<person>> smiles and looks away.
	<br><br>
<<elseif $rng gte 51>>
	It's too much for the <<person>>. They look away, blushing.
	<br><br>
<<else>>
	<<if $robinhistory is "seat">>
		Robin looks away.
	<</if>>
	The <<person>> is mesmerised by your display, and can't take <<his>> eyes off of you. <<Hes>> so fixated on you, <<he>> doesn't notice Winter call for <<him>> to answer a question.
	<br><br>
	Flustered, <<he>> gets the answer wrong. It was an easy one. The class laugh at <<him>>.
	<br><br>
	<<if $winterromance is 1>>
	<!-- note: impossible condition. winterromance and winterpunish unused -->
		<<npc Winter>> Winter looks at you as if aware of what you were doing. <<He>> shakes <<his>> head. You think you can see a faint smile on <<his>> lips.
		<<set $winterpunish += 1>>
		<br><br>
	<</if>>
<</if>>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>




:: History Cleanup
<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $phase lte 1>><<pass 10>>
	You jump from your chair and
	<<if $phase is 1>>rush to the teacher to explain your situation. Winter tenses with anger, but it's not directed at you. You <</if>>
	dash out of the class to the bathroom. Closing yourself in an empty cubicle, you strip off the clothes and brush away the itching powder.
	You also rub it off your reddening skin.
	<br><br>
	When you feel confident that you got it all, you put your clothes back on and head back to the classroom.
	<br><br>
	<<if $schoolstate isnot "fourth">>
		By the time you get back, class is wrapping up.
		<<if $phase is 0>>
			Winter stands by the door, arms crossed.
			<br>
			"You certainly took your time getting back. Perhaps in detention you can tell the Head what was so important."
		<<else>>
			<br><br>
			The other students shoot you sullen looks as they filter into the hall. They must have got in trouble while you were away.
		<</if>>
		<br><br>

		<<link [[Next|Hallways]]>><<endevent>><</link>>
		<br>
	<<else>>
		The class falls silent as you walk in.
		<<if $phase is 0>>
			Winter glares.
			<br>
			"Glad you could join us. Perhaps in detention you can tell the Head what was so important."
			<br><br>
		<<else>>
			The whole class glowers at you. They must have got in trouble while you were away.
			<br><br>
			Winter waves you to your chair.
		<</if>>
		<br><br>

		<<link [[Next|History Lesson]]>><<endevent>><</link>>
		<br>
	<</if>>
<<elseif $phase is 2>>/*strip*/
	Sitting in your seat, you remove and move aside your clothing in order to wipe away the offending powder.
	You feel the eyes of a few other students on you, but Winter has already moved onto the next topic and pretends not to
	<<if $worn.under_lower.type.includes("naked")>>
		notice. Until, while adjusting your $worn.lower.name, the class are distracted by your exposed <<genitals>>.
		<br>
		One student wolf-whistles, and a laugh breaks out across the room.
		<br><br>
		"Cover yourself," Winter demands. "The Head will talk to you about this in detention."
		<<detention 2>>
	<<elseif $worn.under_upper.type.includes("naked") and $player.breastsize gte 1>>
		notice. Until, while adjusting your $worn.upper.name you flash your <<breasts>>.
		One student wolf-whistles and laugh breaks out across the room.
		<br><br>
		"Cover those up," Winter demands. "The Head will talk to you about this in detention."
		<<detention 2>>
	<<else>>notice, maybe assuming some kind of wardrobe malfunction after the earlier activity.
	<</if>>
	<br><br>
	The itching soon subsides.
	<br><br>

	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<<else>>
	The itching takes a long time to subside.
	<<pain 5>><<stress 20>>
	<br><br>

	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<</if>>

:: History Events Dress

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $uncomfortable.nude is false>>
	You walk out from behind the screen. You are greeted by laughter as the class sees what you're wearing, though they are quickly silenced by a stern look from Winter. You don't mind, and flaunt as much as you can get away with.
<<else>>
	You <<nervously>> walk out from behind the screen. You are greeted by laughter as the class sees what you're wearing, though they are quickly silenced by a stern look from Winter. You're too embarrassed by the way your classmates look at you to learn anything, but the segment is over soon enough.
<</if>>
<br><br>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Events Refusal

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
This is ridiculous, there's no way you're wearing that. Winter glares at you as you take your seat.
<br><br>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Events Revealing Dress

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $uncomfortable.underwear is false>>
	You proudly walk out from behind the screen, the clothes barely hiding your <<genitals>>. The class falls silent as they see how little you're wearing.
	<<if $fame.exhibitionism gte 400>> You doubt this is the first time any of them have seen you so thinly attired.<</if>>
	<br><br>
	Winter smiles in satisfaction. You model the outfit as <<he>> describes the ceremonies it was used in, which all seem to have had a risqué element. You welcome your classmates' looks and continue posing in an inviting way. The segment is over sooner than you'd like.
<<else>>
	You <<nervously>> walk out from behind the screen. The class falls silent as they see how little you're wearing. Winter smiles in satisfaction. You model the outfit as <<he>> describes the ceremonies it was used in, which all seem to have had a risqué element. You're too embarrassed by the way your classmates look at you to learn anything, but the segment is over soon enough.
<</if>>
<br><br>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Events Trick
<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>

<<if $speech_attitude is "bratty">>
	You stare with a blank expression. Without warning, you smack your hand into the pile of books <<he>> is holding, sending them flying everywhere.
	<br><br>

	<<skulduggerycheck>>
	<<if $skulduggerysuccess is 1>>
		<br><br>
		The <<person>> is standing, stunned and surrounded by books, as Winter walks in.

		"What are you doing?" Winter glares at <<him>> from the door. "Pick those books up, right now."
		<br><br>
		"But-"
		<br><br>
		"Explain it to the head in detention later. Right now I want those books handed out."
		<br><br>
		Other students smile at you as the <<person>> scrambles around picking books off the floor.
		<<gcool>><<status 1>>
		You smile sweetly as <<he>> hands you your book.
		<<lstress>><<stress -1>>
		<br><br>

		<<skulduggeryuse>>

		<<link [[Next|History Lesson]]>><<endevent>><</link>>
		<br>

	<<else>>
		<br><br>
		"What are you doing?" Winter glares at you from the door. "Pick those up, right now."
		<br><br>
		"But-"
		<br><br>
		"You can explain it to the head in detention later."
		<<detention 2>><<stress 2>><<gstress>><<gdelinquency>>
		<br><br>

		<<skulduggeryuse>>

		<<link [[Next|History Lesson]]>><<endevent>><</link>>
		<br>
	<</if>>
<<else>>
	You point behind <<him>>. "I think Leighton saw that."
	<br><br>

	<<skulduggerycheck>>
	<<if $skulduggerysuccess is 1>>

		<br><br>
		The <<persons>> face pales.
		<br>
		As <<he>> looks over <<his>> shoulder toward the door, you grab another book from the top of <<his>> pile. "Thanks."
		<br><br>
		<<Hes>> still gaping in shock as Winter walks back in.
		<br>
		"You dropped a book," Winter tuts at <<him>>. "Do be more careful."
		<br>
		The class smirk and whisper as the <<person>> has to crouch down and pick the book back up.
		<<stress -2>><<lstress>>
		<br>

		<<skulduggeryuse>>

		<<link [[Next|History Lesson]]>><<endevent>><</link>>
		<br>

	<<else>>
		<br><br>
		The <<person>> scoffs. "You think I was born yesterday? You better pick up your book."
		<br>

		<<skulduggeryuse>>

		<<link [[Pick it up|History Events Pick]]>><<trauma 2>><<stress 2>><<status -10>><</link>><<gtrauma>><<gstress>><<lcool>>
		<br>
		<<link [[Leave it|History Events Leave]]>><<stress 2>><<detention 2>><</link>><<gdelinquency>><<gstress>>
		<br>
	<</if>>

<</if>>

:: History Events Pick

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>

You lean down to pick up the book. As you do, the <<person>> grabs the back of your head and pushes your face against <<his>> crotch.
<<if $robinhistory is "seat" and $NPCName[$NPCNameList.indexOf("Robin")].dom gte 50>>
	You try to push <<him>> away, but <<he>> holds you firm. Until a book collides with <<his>> head. <<He>> staggers back as all heads turn to the culprit. Robin.
	<br><br>

	"Fucker," the <<person>> says. <<He>> clutches <<his>> temple. "You'll pay for that." Robin glares, defiant.
	<br><br>

	Winter returns before the situation escalates. <<nnpc_His Winter>> gaze flicks to the battered book on the floor. "Pick that up," <<nnpc_he Winter>> commands the <<person>>. "Maybe you can learn to respect school property in detention."
	<br><br>

	The <<person>> doesn't argue, but throws another evil look at Robin.
	<br><br>

	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<<elseif $cool lt 39>>
	<<if $robinhistory is "seat">>
		<br><br>
		"Leave <<phim>> alone!" Robin shouts before another student gags <<nnpc_him Robin>>.
		<br><br>
	<<elseif $robinhistory is "active">>
		<br><br>
		You glance in Robin's direction, but you can't see <<nnpc_him Robin>> through the gathering crowd.
		<br><br>
	<</if>>
	You try to push the assailant away, but <<he>> holds you firm, <<if $pronoun is "m">> and undoes <<his>> fly.<<else>> and lifts up <<his>> skirt. <<Hes>> not wearing underwear. <</if>> "Someone go distract the teacher," <<he>> says.

	Much of the class closes around to watch.
	<br><br>
	<<link [[Next|History Lesson Molestation]]>><<set $molestationstart to 1>><<set $phase to 2>><</link>>
	<br>
<<elseif $cool lt 119>>
	<<if $robinhistory is "seat">>
		<br><br>
		"Leave <<phim>> alone!" Robin shouts before another student gags <<nnpc_him Robin>>.
		<br><br>
	<<elseif $robinhistory is "active">>
		<br><br>
		You glance in Robin's direction, but you can't see <<nnpc_him Robin>> through the gathering crowd.
		<br><br>
	<</if>>
	You try to push the assailant away, but <<he>> holds you firm, <<if $pronoun is "m">> and undoes <<his>> fly.<<else>> and lifts up <<his>> skirt. <<Hes>> not wearing underwear.<</if>>
	<br><br>
	<<link [[Next|History Lesson Molestation]]>><<set $molestationstart to 1>><<set $phase to 1>><</link>>
	<br>
<<else>>
	<<if $robinhistory is "seat">>
		<br><br>
		"Leave <<phim>> alone!" Robin shouts before another student gags <<nnpc_him Robin>>.
		<br><br>
	<<elseif $robinhistory is "active">>
		<br><br>
		You glance in Robin's direction, but you can't see <<nnpc_him Robin>> through the gathering crowd.
		<br><br>
	<</if>>
	You push the assailant away as laughter emerges from the rest of the class. "I really am clumsy!" The <<person>> says, now grinning. "No need to be so aggressive though." <<He>> continues <<his>> task, and Winter soon returns.
	<br><br>
	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<</if>>

:: History Events Leave

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
Not trusting the <<persons>> intentions, you refrain from leaning over to pick up the book. <<He>> tilts <<his>> head and displays a mock frown. "What's wrong? Worried I might do something naughty?" <<His>> friends laugh.
<br><br>
The classroom door starts to open, and the <<person>> continues <<his>> task as Winter enters. The teacher sees the textbook on the floor and glares at you. "Pick that up immediately. You should treat school property with more respect." The <<person>> throws an infuriating smile your way as you pick up the book.
<br><br>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Lesson Molestation

<<if $molestationstart is 1>>
	<<set $molestationstart to 0>>
	<<controlloss>>
	<<violence 1>>
	<<neutral 1>>
	<<molested>>
	<<maninit>><<npcoral>>
	<<if $phase is 1>>
		<<set $timer to 6>><<enable_rescue>>
		<<elseif $phase is 2>>
		<<set $timer to 24>><<set $rescue to 0>>
	<</if>>
<</if>>

<<effects>>
<<effectsman>>

<<if $rescue is 0 and $alarm is 1>>
	<<set $alarm to 0>>
	<span class="red">No one comes to your aid. Winter must be distracted.</span>
	<br><br>
<</if>>

<<man>>
<<audience>>
<<stateman>>
<br><br>
<<actionsman>>

<<if _combatend or $timer lte 0>>
	<span id="next"><<link [[Next|History Lesson Molestation Finish]]>><</link>></span><<nexttext>>
<<else>>
	<span id="next"><<link [[Next|History Lesson Molestation]]>><</link>></span><<nexttext>>
<</if>>

:: History Lesson Molestation Finish

<<effects>>
<<if $enemyarousal gte $enemyarousalmax>>
	<<ejaculation>><<famerape 10>>
	<<if $robinhistory is "seat">>
		<<He>> shoves you to the ground. Robin is released as well, and rushes to your side as the rest of the class returns to their seats. Footsteps can be heard outside.
		<br><br>

		"It's okay," <<nnpc_he Robin>> says. <<nnpc_He Robin>> searches <<nnpc_his Robin>> pocket for a tissue. Winter enters, and Robin turns to <<nnpc_him Winter>>.
		<br><br>

		"<<personname>> assaulted my friend," Robin says, pointing at the <<person>>.
		<br><br>

		Winter points at the door, and the <<person>> marches out, giving you a wink before disappearing.
		<br><br>
	<<else>>
		Satisfied, the <<person>> shoves you to the ground. The rest of the class rushes back to their seats, as footsteps can be heard approaching. You know you'll be in trouble if you're caught lying on the floor. <<tearful>> you struggle into your seat just before Winter returns.
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<elseif $enemyhealth lte 0>>
	<<if $robinhistory is "seat">>
		The <<person>> recoils in pain. <<He>> glares at you, and <<he>> and <<his>> friends look like they've a mind to punish you, but footsteps can be heard approaching the class. They think better of it.
		<br><br>
		They release Robin, and <<nnpc_he Robin>> rushes to your side. "It's okay," <<nnpc_he Robin>> says. Winter returns, and fixes Robin with <<nnpc_his Winter>> gaze. "<<personname>> assaulted my friend." Robin points at the <<person>>.
		<br><br>
		Winter points at the door, and the <<person>> marches out, still nursing an injury.
		<br><br>
	<<else>>
		The <<person>> recoils in pain. <<He>> glares at you, and <<he>> and <<his>> friends look like they've a mind to punish you, but footsteps can be heard approaching the class. They think better of it. <<tearful>> you take your seat. Winter returns, with no knowledge of what just took place.
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<elseif $alarm is 1 and $rescue is 1>>
	<<set $rescued += 1>>
	<<if $robinhistory is "seat">>
		You hear footsteps approach the classroom. The <<person>> shoves you away and returns to <<his>> desk. Robin is released as well. <<nnpc_He Robin>> rushes to your side.
		<br><br>
		"It's okay," <<nnpc_he Robin>> says.
		<br><br>
		Winter enters. <<nnpc_His Winter>> eyes rest on Robin. "I can't leave you alone for five minutes, can I?"
		<br><br>
		"<<personname>> assaulted my friend," Robin says, pointing at the <<person>>.
		<br><br>
		Winter points at the door, and the <<person>> marches out, giving you a wink before disappearing.
		<br><br>
	<<else>>
		Footsteps can be heard rapidly approaching the classroom. The <<person>> pushes you away and returns to <<his>> desk, along with the rest of the class. <<tearful>> you take your seat. Winter arrives, looking angry. "I can't leave you alone for five minutes, can I?" Glad that the assault is over and not wanting Winter to know it was you who screamed, you keep your head down as the lesson continues.
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<else>>
	<<if $robinhistory is "seat">>
		You hear footsteps approach the classroom. The <<person>> shoves you away and returns to <<his>> desk. Robin is released as well. <<nnpc_He Robin>> rushes to your side.
		<br><br>
		"It's okay," <<nnpc_he Robin>> says. Winter enters with one of the <<persons>> friends in tow, looking diminished.
		<br><br>
		"Don't waste my time again," Winter says. "Or you'll never see the end of detention." <<nnpc_He Winter>> turns to you, then to Robin.
		<br><br>
		"<<personname>> assaulted my friend," Robin says, pointing at the <<person>>.
		<br><br>
		Winter points at the door, and the <<person>> marches out, giving you a wink before disappearing.
		<br><br>
	<<else>>
		You hear footsteps approach the classroom. The <<person>> pushes you away and returns to <<his>> desk, along with the rest of the class. <<tearful>> you take your seat. Winter arrives, one of the <<persons>> friends in tow, looking diminished. "Don't waste my time again, or you'll never see the end of detention." Glad that the assault is over, you keep your head down as the lesson continues.
		<br><br>
	<</if>>

	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<</if>>

:: History Lesson Pillory

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
You walk to the front of the classroom, and Winter gestures you to bend over the bottom part of the pillory. You do so, and <<he>> lifts over the rest of the device, locking you firmly in place. Your hands and head poke through small holes facing the class. The antique is bolted onto the floor, rendering you quite immobile.
<br><br>
<<bind>>
<<if $rng gte 51>>
	<<endevent>>
	Before Winter can speak further, the door opens to reveal Leighton, who doesn't look twice at the <<girl>> in the pillory. <<npc Leighton>><<person1>><<He>> looks at Winter. "We need to talk." Winter nods, and leaves the room without a word.
	<<endevent>>
	<br><br>
	<<if $robinhistory is "active" or $robinhistory is "seat">>
		<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20>>
			<<generates1>><<person1>>The class is silent for a few moments, as the sound of footsteps outside the room fade into nothingness. Then a <<person>> stands up, and saunters over to you. "Who thinks the lesson should continue?" <<he>> asks the rest of the class, smiling slyly. Encouraged by the rest of the class, <<he>> walks behind you.
			<br><br>
			Robin shakes and looks away.
			<br><br>
			<<link [[Next|History Lesson Pillory Molestation]]>><<set $molestationstart to 1>><</link>>
			<br>
		<<elseif $NPCName[$NPCNameList.indexOf("Robin")].dom gte 60>>
			<<generates1>><<person1>>The class is silent for a few moments, as the sound of footsteps outside the room fade into nothingness. Then a <<person>> stands up, and saunters over to you. "Who thinks the lesson should continue?" <<he>> asks the rest of the class, smiling slyly.
			<br><br>

			<<if random(1, 2) is 2>>
				Robin tries to speak up, but the other students cheer over <<nnpc_his Robin>> voice. Encouraged, the <<person>> saunters behind you.
				<br><br>
				Before the situation can escalate, a book collides with the <<persons>> head. <<He>> staggers away from you. The class turns to the culprit. Robin glares across the room.
				<br><br>
				"Fucking <<bitch>>," the <<person>> shouts, marching across the room. Robin trembles a little, but remains defiant.
				<br><br>

				<<link [[Next|History Lesson Pillory Robin Save]]>><<unbind>><</link>>
				<br>
			<<else>>
				Robin tries to speak up, but another student restrains <<nnpc_him Robin>> from behind, and clamps a hand over <<nnpc_his Robin>> mouth. <<nnpc_He Robin>> squirms, but is unable to shake free.
				<br><br>

				<<link [[Next|History Lesson Pillory Molestation]]>><<set $molestationstart to 1>><</link>>
				<br>
			<</if>>
		<<else>>
			<<generates1>><<person1>>The class is silent for a few moments, as the sound of footsteps outside the room fade into nothingness. Then a <<person>> stands up, and saunters over to you. "Who thinks the lesson should continue?" <<he>> asks the rest of the class, smiling slyly.
			<br><br>
			Robin tries to speak up, but the other students cheer over <<nnpc_his Robin>> voice. Another student restrains <<nnpc_him Robin>> from behind, and clamps a hand over <<nnpc_his Robin>> mouth. Encouraged, the <<person>> saunters behind you.
			<br><br>

			<<link [[Next|History Lesson Pillory Molestation]]>><<set $molestationstart to 1>><</link>>
			<br>
		<</if>>
	<<else>>
		<<generates1>><<person1>>The class is silent for a few moments, as the sound of footsteps outside the room fade into nothingness. Then a <<person>> stands up, and saunters over to you. "Who thinks the lesson should continue?" <<he>> asks the rest of the class, smiling slyly. Encouraged by the rest of the class, <<he>> walks behind you.
		<br><br>
		<<link [[Next|History Lesson Pillory Molestation]]>><<set $molestationstart to 1>><</link>>
		<br>
	<</if>>
<<else>>
	Winter lectures about the historical use of the pillory, as well as other archaic punishments. You wonder why <<he>> likes them so much. Before long, <<he>> releases you. "You've been a fine assistant," <<he>> says cheerfully, as you head back to your seat.<<unbind>>
	<br><br>
	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<</if>>


:: History Lesson Pillory Robin Save
<<effects>>

You hear rapid footsteps outside. Winter barges in. <<nnpc_His Winter>> gaze flicks to the dented book on the floor, then rests on the <<person>>.
<br><br>
"Out," <<nnpc_he Winter>> says. "I won't tolerate the destruction of school property."
<br><br>
The <<person>> tries to argue, but Winter won't hear it. <<He>> rubs <<his>> head as <<he>> leaves the room.
<br><br>
"I'm sorry," Winter sighs as <<nnpc_he Winter>> releases you from the pillory. "We won't have time for this now." <<nnpc_He Winter>> sounds disappointed. <<tearful>> you walk back to your desk.
<br><br>

<<if $robinhistory is "active">>
	<<if $pain gte 20>>
		Robin hands you a tissue, and tries to calm you down.<<lpain>><<pain -4>>
		<br><br>
	<</if>>
<</if>>
<<unbind>>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>


:: History Lesson Pillory Molestation

<<if $molestationstart is 1>>
	<<set $molestationstart to 0>>
	<<controlloss>>
	<<violence 1>>
	<<neutral 1>>
	<<molested>>
	<<maninit>><<npcspank>>
	<<set $timer to 18>>
	<<set $position to "wall">><<set $walltype to "cleanpillory">><<set $leftarm to "bound">><<set $rightarm to "bound">><<set $head to "bound">><<set $NPCList[0].lefthand to 0>>
	<<enableSchoolRescue "delinquency">>
<</if>>

<<effects>>
<<effectsman>>
<<alarmstate "<span class='red'>No one comes to your aid, likely due to your reputation as a delinquent.</span>">>
<<man>>
<<audience>>
<<stateman>>
<br><br>
<<actionsman>>

<<if _combatend or $timer lte 0>>
	<span id="next"><<link [[Next|History Lesson Pillory Molestation Finish]]>><</link>></span><<nexttext>>
<<else>>
	<span id="next"><<link [[Next|History Lesson Pillory Molestation]]>><</link>></span><<nexttext>>
<</if>>

:: History Lesson Pillory Molestation Finish

<<effects>>
<<if $enemyarousal gte $enemyarousalmax>>
	<<ejaculation>><<famerape 10>>
	"I got a bit carried away there," you hear the <<person>> mutter as <<he>> heads back to <<his>> seat.
	<br><br>
	<<exposure>>
	<<if $exposed gte 1>>
		Winter returns to the class, and sees you in your undressed state. The teacher conceals your body with a towel while freeing you from the pillory. "Who's responsible for this?"
		<br><br>
		<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 or $robinhistory is "missing">>
			Everyone looks at the <<person>>, who shrinks lower into <<his>> seat.
		<<else>>
			Robin stands and points. "It was <<him>>," <<nnpc_he Robin>> says. The other students murmur agreement as the <<person>> shrinks in <<his>> seat.
		<</if>>
		<br><br>
		Winter glares at <<him>>. "Stay behind after class." <<tearful>> you walk back to your desk and ease yourself down.
		<br><br>
	<<else>>
		<<endevent>><<npc Winter>><<person1>>Winter returns to the class. "Sorry, but we won't have time for this now," <<he>> says as <<he>> releases you from the pillory. <<He>> sounds genuinely disappointed. <<tearful>> you walk back to your desk, and ease yourself down.
		<br><br>
	<</if>>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 and $robinhistory is "seat">>
		Robin shakes in <<nnpc_his Robin>> seat, and sobs.
		<br><br>
	<<elseif $robinhistory is "seat" and $pain gte 20>>
		Robin tries to calm you down. <<nnpc_He Robin>> pulls out a tissue and dries your eyes.<<lpain>><<pain -4>>
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<elseif $enemyhealth lte 0>>
	The <<person>> recoils in pain, and the class turns against <<him>>, laughing at <<his>> inability to properly molest a bound <<girl>>. <<He>> returns to <<his>> seat, looking diminished.
	<br><br>


	<<exposure>>
	<<if $exposed gte 1>>
		Winter returns to the class, and sees you in your undressed state. The teacher conceals your body with a towel while freeing you from the pillory. "Who's responsible for this?"
		<br><br>
		<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 or $robinhistory is "missing">>
			Everyone looks at the <<person>>, who shrinks lower into their seat.
		<<else>>
			Robin stands and points. "It was <<him>>," <<nnpc_he Robin>> says. The other students murmur agreement as the <<person>> shrinks in <<his>> seat.
		<</if>>
		<br><br>
		Winter glares at <<him>>. "Stay behind after class." <<tearful>> you walk back to your desk and ease yourself down.
		<br><br>
	<<else>>
		Winter returns to the class. "Sorry, but we won't have time for this now," <<nnpc_he Winter>> says as <<nnpc_he Winter>> releases you from the pillory. <<nnpc_He Winter>> sounds genuinely disappointed. <<tearful>> you walk back to your desk, and ease yourself down.
		<br><br>
	<</if>>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 and $robinhistory is "seat">>
		Robin shakes in <<nnpc_his Robin>> seat, and sobs.
		<br><br>
	<<elseif $robinhistory is "seat" and $pain gte 20>>
		Robin tries to calm you down. <<nnpc_He Robin>> pulls out a tissue and dries your eyes.<<lpain>><<pain -4>>
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<elseif $alarm is 1 and $rescue is 1>>
	<<set $rescued += 1>>
	Footsteps can be heard rapidly approaching the classroom. The <<person>> rushes back to <<his>> desk. Winter arrives, looking angry. "I can't leave you alone for five minutes, can I?"
	<br><br>
	<<exposure>>
	<<if $exposed gte 1>>
		Winter conceals your body with a towel while freeing you from the pillory.
		<br><br>
		<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 or $robinhistory is "missing">>
			Everyone looks at the <<person>>, who shrinks lower into <<his>> seat.
		<<else>>
			Robin stands and points. "It was <<him>>," <<nnpc_he Robin>> says. The other students murmur agreement as the <<person>> shrinks in <<his>> seat.
		<</if>>
		<br><br>
		Winter glares at <<him>>. "Stay behind after class." <<tearful>> you walk back to your desk and ease yourself down.
		<br><br>
	<<else>>
		<<endevent>><<npc Winter>><<person1>>"Sorry, but we won't have time for this now." Winter says as <<he>> releases you from the pillory. <<He>> sounds genuinely disappointed. <<tearful>> you walk back to your desk, and ease yourself down.
	<</if>>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].trauma gte 20 and $robinhistory is "seat">>
		Robin shakes in <<nnpc_his Robin>> seat, and sobs.
		<br><br>
	<<elseif $robinhistory is "seat" and $pain gte 20>>
		Robin tries to calm you down. <<nnpc_He Robin>> pulls out a tissue and dries your eyes.<<lpain>><<pain -4>>
		<br><br>
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<<else>>
	Footsteps can be heard approaching the classroom. The <<person>> rushes back to <<his>> desk. The door opens to reveal Winter.
	<br><br>
	<<exposure>>
	<<if $exposed gte 1>>
		The teacher conceals your body with a towel while freeing you from the pillory. "Who's responsible for this?"

		Everyone looks at the <<person>>, who shrinks lower into their seat. "Stay behind after class." <<tearful>> you walk back to your desk, and ease yourself down.
	<<else>>
		<<endevent>><<npc Winter>><<person1>>"Sorry, but we won't have time for this now," <<he>> says as <<he>> releases you from the pillory. <<He>> sounds genuinely disappointed. <<tearful>> you walk back to your desk, and ease yourself down.
	<</if>>
	<<clothesontowel>>
	<<endcombat>>
	<<link [[Next|History Lesson]]>><</link>>
<</if>>
<<unbind>>

:: History Lesson Answer

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<npc Winter>><<person1>>You raise your hand, and Winter looks at you. You answer the question, and <<he>> gives you a curt nod before moving on. That's about as close as you'll get to praise in this class.
<br><br>
<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Lesson Conceal

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $speech_attitude is "meek">>
	"I-I can't... I can't tell you," you say, hunching to conceal the collar around your neck.
	<br><br>
<<elseif $speech_attitude is "bratty">>
	"Mind your own business," you say.
	<br><br>
<<else>>
	"I can't tell you," you say.
	<br><br>
<</if>>
"Fine," says Winter. "Whatever it is, you can show Leighton in detention."
<br><br>
<<endevent>>
<<link [[Next|History Lesson]]>><</link>>
<br>

:: History Lesson Collar

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $speech_attitude is "meek">>
	"I-It's my collar," you say.
	<br><br>
<<elseif $speech_attitude is "bratty">>
	"It's a collar. What's it to you?" you say.
	<br><br>
<<else>>
	"It's just a collar," you say.
	<br><br>
<</if>>
<<if $worn.neck.name is "collar with leash" or $worn.neck.name is "leather collar with leash">>
	<<He>> reaches down and picks up the leash. "And this?
<<else>>
	<<He>> slides a finger into the gap, and tugs. "Rather tight, isn't it?
<</if>>
What would possess you to wear such a thing?" Pretty much the entire class is watching now. "Do you like to roleplay as a dog?" Someone giggles, which distracts Winter. "Quiet! Now, where was I..." <<He>> commences <<his>> droning.
<br><br>
<<endevent>>
<<link [[Next|History Lesson]]>><</link>>
<br>

:: History Lesson Horns

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $speech_attitude is "meek">>
	"Th-they're a growth on my head, <<sir>>. Like horns,"
<<elseif $speech_attitude is "bratty">>
	"I'm a sinner, <<sir>>. So I grow horns,"
<<else>>
	"I have horns, <<sir>>. They grow out of my head,"
<</if>>
you say, giving your horns a tug. "See?"
<br><br>

Winter raises <<his>> eyebrows. "How unusual," <<he>> says. You can't tell if <<he>> believes you. "Carry on with your work, please."
<br><br>
<<endevent>>
<<link [[Next|History Lesson]]>><</link>>
<br>

:: History Lesson Ears

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $speech_attitude is "meek">>
	"S-sorry. These are my ears, <<sir>>. They grow like this,"
<<elseif $speech_attitude is "bratty">>
	"You like my ears, <<sir>>? When you're wild, they can grow like this,"
<<else>>
	"They're my ears, <<sir>>. They grow like this,"
<</if>>
you say, giving your ears a tug. "See?"
<br><br>

Winter raises <<his>> eyebrows. "How unusual," <<he>> says. You can't tell if <<he>> believes you. "Carry on with your work, please."
<br><br>
<<endevent>>
<<link [[Next|History Lesson]]>><</link>>
<br>

:: History Lesson Excuse

<<set $outside to 0>><<set $location to "school">><<schooleffects>><<effects>>
<<if $speech_attitude is "meek">>
	"I-it's nothing," you say. "It was just a s-silly prank."
	<br>
<<elseif $speech_attitude is "bratty">>
	"It's a costume," you say. "It's quirky. It's fun. Don't you have a sense of humour?"
	<br>
<<else>>
	"It's a costume," you say. "I forgot to take it off."
	<br>
<</if>>
Winter sighs. "Explain it to Leighton in detention."
<<detention 2>><<gdelinquency>>
<br><br>
<<endevent>>
<<link [[Next|History Lesson]]>><</link>>
<br>

:: History Robin Defend
<<effects>><<person1>>

<<if $speech_attitude is "meek">>
	"R-Robin is innocent," you protest.
<<elseif $speech_attitude is "bratty">>
	You rest your hand on Robin's arm, stopping <<him>> from rising as you fix Winter with your gaze. "You're gonna believe that?" you ask. "I didn't think you were stupid."
<<else>>
	"Robin didn't do it," you say. "You can't punish <<him>>."
<</if>>
<br><br>

"Don't talk back," Winter says. <<nnpc_He Winter>> still sends Robin out, but Robin seems calmed by your support anyway.
<br><br>

Another airplane lands in Winter's hair soon after, suggesting Robin really wasn't the culprit, and Winter lets <<him>> back in. <<He>> smiles as <<he>> takes the seat beside you.
<br><br>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Robin Quiet
<<effects>>

You stay quiet as Robin leaves the room. Another airplane lands in Winter's hair soon after, suggesting Robin wasn't the culprit, and Winter lets <<him>> back in. <<Hes>> shaking a little when <<he>> takes the seat beside you.
<br><br>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>


:: History Robin Silent
<<effects>>

You stay silent.
<<if $robinromance is 1>>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 40>>
		Robin takes your hand in <<person1>><<his>> own. "Our personal lives are none of your business," <<he>> says, squeezing.
		<br><br>
		"Come on," the <<person2>><<person>> persists. "You can tell me."
		<br><br>

		A textbook thuds onto the desk. The <<person>> looks up, and meets Winter's gaze. <<He>> slumps back into <<his>> seat.
		<br><br>
	<<else>>
		Robin glances at you, and hesitates, before speaking. "Yes," <<person1>><<he>> says. "We're going out."
		<br><br>
		The <<person2>><<person>> leans closer. "How about a kiss to prove it?"
		<br><br>
		Robin blushes, but is rescued when a textbook thuds onto the desk. The <<person>> looks up, and meets Winter's gaze. <<He>> slumps back into <<his>> seat.
		<br><br>
	<</if>>
<<else>>
	<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 50>>
		Robin shakes <<person1>><<his>> head. "<<pShes>> my best friend," <<he>> says. "But that's none of your business."
		<br><br>

		The <<person2>><<person>> looks at you. "Just a friend?" <<he>> persists. "Is that true?"
		<br><br>

		A textbook thuds onto the desk. The <<person>> looks up, and meets Winter's gaze. <<He>> slumps back into <<his>> seat.
		<br><br>
	<<else>>
		Robin shakes <<person1>><<his>> head. "No, we're not."
		<br><br>
		The <<person2>><<person>> looks at you. "What about you? Is <<person1>><<he>> lying?"
		<br><br>

		A textbook thuds onto the desk. The <<person2>><<person>> looks up, and meets Winter's gaze. <<He>> slumps back into <<his>> seat.
		<br><br>
	<</if>>
<</if>>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>



:: History Robin Yes
<<effects>><<person1>>

<<if $speech_attitude is "meek">>
	"Y-yes," you say. "I'm <<his>> <<girlfriend>>."
<<elseif $speech_attitude is "bratty">>
	"Of course we're going out," you say. "You jealous?"
<<else>>
	"Yeah," you say. "We're a thing."
<</if>>
<br><br>

<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 20>>
	Robin smiles and nods. "I couldn't be happier," <<he>> says. <<person2>>The <<person>> frowns and returns to <<his>> desk.
	<br><br>
<<else>>
	Robin smiles and blushes at your words. <<He>> nods, and looks at <<his>> lap. The <<person2>><<person>> frowns and returns to <<his>> desk.
	<br><br>
<</if>>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Robin No
<<effects>>

<<if $speech_attitude is "meek">>
	"N-no," you say. "We're not a couple."
<<elseif $speech_attitude is "bratty">>
	"What gave you that idea?" you ask. "Of course we're not going out."
<<else>>
	"Nope," you say. "We aren't going out."
<</if>>
<br><br>

<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 20>>
	Robin nods. "<<pShes>> my friend," <<person1>><<he>> says. "That's all."
<<else>>
	Robin looks uncomfortable, but nods.
<</if>>
<br><br>
"Aww," the <<person2>><<person>> says, amused. "But you two are so cute." <<He>> looks at you. "Come on. Just a peck on the cheek."
<<if random(1, 2) is 2>>
	A textbook thuds onto the desk. The <<person>> looks up, and meets Winter's piercing gaze. <<He>> slumps back into <<his>> seat.
	<br><br>
	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<<else>>
	<br><br>
	<<link [[Peck|History Robin Peck]]>><<npcincr Robin love 1>><<npcincr Robin lust 1>><</link>><<glove>><<glust>>
	<br>
	<<link [[Refuse|History Robin Peck Refuse]]>><</link>>
	<br>
<</if>>
<br>



:: History Robin Yes Lie
<<effects>><<person1>>

<<if $speech_attitude is "meek">>
	"Y-yes," you say. "I'm <<his>> <<girlfriend>>."
<<elseif $speech_attitude is "bratty">>
	"Of course we're going out," you say. "You jealous?"
<<else>>
	"Yeah," you say. "We're a thing."
<</if>>
<br><br>


<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 20>>
	"Wait," Robin says. "That's not true. I'm not ready yet." The <<person2>><<person>> laughs at Robin's uncertainty, but attracts Winter's ireful gaze, and slinks back to <<his>> desk.
	<br><br>
	Robin is quiet for a while.
	<br><br>
<<else>>
	Robin gasps. "W-wait," <<he>> says. "That's not-" <<He>> attracts Winter's ireful gaze, and falls silent. The <<person2>><<person>> laughs and slinks back to <<his>> desk.
	<br><br>
<</if>>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>

:: History Robin No Lie
<<effects>>

<<if $speech_attitude is "meek">>
	"N-no," you say. "We're not a couple."
<<elseif $speech_attitude is "bratty">>
	"What gave you that idea?" you ask. "Of course we're not going out."
<<else>>
	"Nope," you say. "We aren't going out."
<</if>>
<br><br>
<<person1>>
<<if $NPCName[$NPCNameList.indexOf("Robin")].dom gte 20>>
	Robin turns to you, confused. "What do you mean?" <<he>> asks. "Of course we're going out. Why would you say we're not?"
	<br><br>

	Before you can respond, Robin opens <<his>> mouth again.
	<<if $cool gte 160>>
		"Am I that embarrassing?" <<he>> asks. <<He>> looks like <<hes>> holding back tears.
		<br><br>
		The <<person2>><<person>> leans closer, and whispers too quiet for Robin to hear. "How about you ditch this loser, and meet me in the-"
		<br><br>
		A textbook thuds against the desk. The <<person>> looks up to find Winter's gaze piercing <<him>>. <<He>> slumps back into <<his>> chair.
		<br><br>
	<<else>>
		"I-I'm trying to be better," <<he>> says. <<He>> looks like <<hes>> holding back tears.
		<br><br>
		"Looks like you two have some relationship issues," the <<person2>><<person>> interrupts. "I'll leave you to it. <<He>> slinks back to <<his>> desk.
		<br><br>
	<</if>>
<<else>>
	"W-What?" Robin says, <<his>> voice quivering. "Th-that's not true!" <<He>> stumbles over <<his>> words, and instead looks away.
	<br><br>
	"Looks like you two have some relationship issues," the <<person2>><<person>> says. "I'll leave you to it. <<He>> slinks back to <<his>> desk.
	<br><br>
<</if>>

<<link [[Apologise to Robin|History Robin Apologise]]>><<npcincr Robin love 1>><</link>><<glove>>
<br>
<<link [[Say nothing|History Lesson]]>><<endevent>><</link>>
<Br>

:: History Robin Apologise
<<effects>>

<<if $speech_attitude is "meek">>
	"I-I'm sorry," you tell Robin. "I just d-don't want the attention."
<<elseif $speech_attitude is "bratty">>
	"I didn't mean that," you tell Robin. "Just don't want the attention."
<<else>>
	"I'm sorry," you say. "I just don't want the attention."
<</if>>
<br><br>
Robin nods, but can't meet your eyes.
<br><br>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>


:: History Robin Peck
<<effects>>

You turn your gaze towards Robin. <<person1>><<His>> cheeks are red, but <<he>> doesn't protest as you lean in and plant a kiss on <<his>> cheek.

<<if random(1, 2) is 2>>
	Satisfied, the <<person2>><<person>> slinks back to <<his>> seat.
	<br><br>
	<<person1>>
	Robin's face remains red for a while, and <<he>> struggles to remain focused on the lesson. You catch <<him>> smiling more than once.
	<br><br>

	<<link [[Next|History Lesson]]>><<endevent>><</link>>
	<br>
<<else>>
	"Not good enough," the <<person2>><<person>> says. "On the lips."
	<br><br>

	<<link [[Kiss|History Robin Peck 2]]>><</link>><<promiscuous1>><<kissvirginitywarning>>
	<br>
	<<link [[Refuse|History Robin Peck Refuse]]>><</link>>
	<br>
<</if>>

:: History Robin Peck 2
<<effects>>

You hold Robin's chin, and turn <<person1>><<him>> to face you. You give <<him>> a peck on the lips. <<His>> eyes are shut when you pull away, lost in the moment.
<<takeKissVirginity "Robin" "romantic">><<promiscuity1>>

"Nice," the <<person2>><<person>> says. <<He>> looks at Robin. "You enjoyed that a lot." Robin's eyes flutter open, and <<person1>><<he>> looks away, <<his>> blush deepening.
<br><br>

Satisfied, the <<person2>><<person>> returns to <<his>> desk.
<br><br>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
<br>


:: History Robin Peck Refuse
<<effects>>

<<if $speech_attitude is "meek">>
	"N-no," you say. "I'm not doing that."
<<elseif $speech_attitude is "bratty">>
	"Fuck off," you say. "Leave us alone."
<<else>>
	"Leave us alone," you say.
<</if>>
<br><br>
The <<person2>><<person>> opens <<his>> mouth to respond, but a textbook slams into the desk. <<He>> looks up, and meets Winter's piercing gaze.
<br><br>

<<He>> slumps back into <<his>> seat.
<br><br>

<<link [[Next|History Lesson]]>><<endevent>><</link>>
